%define ver      0.7.1
%define rel      1
%define prefix   /usr
%define sysconfdir	/etc

Name:      rubrica
Summary:   Una rubrica per Gnome
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Gnome/Tools
Source:    rubrica-%{PACKAGE_VERSION}.tar.gz
URL:       http://digilander.iol.it/nfragale
Vendor:    Nicola Fragale <nicolafragale@libero.it>
Packager:  Nicola Fragale <nicolafragale@libero.it>
BuildRoot: /tmp/rubrica-%{PACKAGE_VERSION}-root
# Requires:  glib >= 1.2.8, gtk+ >= 1.2.8, gnome-libs >= 1.2.11, libxml >= 1.8.10

%description
Una rubrica per gnome.
A Gnome address book

%prep
rm -rf $RPM_BUILD_ROOT

%setup
./configure

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING AUTHORS examples.rub
%{prefix}/bin/*
%{prefix}/share/*
%{sysconfdir}/*

%post
gconftool --shutdown
GCONF_CONFIG_SOURCE=xml::%{sysconfdir}/gconf/gconf.xml.defaults 
gconftool --makefile-install-rule %{sysconfdir}/gconf/schemas/rubrica.schemas 2>/dev/null >/dev/null
gconftool --install-schema-file=%{sysconfdir}/gconf/schemas/rubrica.schemas 2>/dev/null >/dev/null
